# Code of Conduct
This code of conduct details the expected conduct of users using Programming.Dev ("programming.dev", "we", "us", "our") sites whether in communities local to our sites or on communities federated with it that is visible from our site. It also applies to other spaces we exist such as our discord server and matrix server. Users visible on our sites regardless of whether they are local or federated may be actioned upon if they do not follow this code of conduct.

## Expected Behaviour
The following are expected behaviour for people interacting on our sites.

- **Remember the human:** When interacting with other people on the site they should be interacted with as if they are a human, that is with respect and in a way that you would want to be treated.
- **Keep in mind software differences:** As this is the fediverse, not everyone is interacting from the same software or the same type of software (people in microblogs may join in to the threaded posts, etc.). Due to this not everyone has access to the same features we do so features should not be assumed to be standard (e.g. visible pronouns, markdown, votes).

## Encouraged Behaviour
The following are encouraged behaviours for people interacting on our sites (that is not following it won't get you actioned upon but it is strongly recommended to follow).
- **Add Alt Text:** When posting an image add alt text to it in some form (if the software has it built in you can use that feature and if not you can provide it beside the image)

## Unacceptable Behaviour
The following are not allowed in any of our sites and may result in you being actioned upon by moderators or admins.

- **Doxing:** Do not reveal private information about other people without their explicit permission.
- **Ad Hominem:** When arguing with someone do not attack the person themselves, instead target the argument they are making.
- **Impersonation:** Do not impersonate other people regardless of whether they are in the community or not.
- **Unmarked Sensitive Content:** Do not post sensitive content (such as NSFW) without labelling it as such. If the software does not allow you to label it for people who don't want that content to be able to not see it, do not post the content.
- **Hate Speech:** Do not make remarks directed at sex, gender, ethnicity, orientation, disabilities, etc.
- **Vote Manipulation:** Attempts to manipulate the voting system is not tolerated including the usage of sock puppet accounts, target voting someone for who they are rather than their content, and mass downvoting posts.
- **Encouraging Harm:** Do not tell others to do things such as harm themselves or die.
- **Unwelcome Sexual Advances:** Do not sexually harass other people, regardless of whether they are in the community or the post is about them.
- **Illegal Content:** Do not post things that are illegal in the United States including: CSAM, Copyright Infringement, Lolicon.
- **Unrelated Content:** Do not post content that does not relate to a community in the community. For example if there is a community about posting cute pictures of puppies, do not post NSFW content.
- **Ban Evasion:** If you were banned from a community, do not attempt to evade said ban on another account.
- **Harassment:** Harassment whether in public spaces in the communities or in private messages is not tolerated.

## Community Specific Guidelines
Some communities within one of our sites may have additional or more specific guidelines in the community description that are expected to be followed when interacting in that community. Failure to follow those guidelines may result in you being actioned upon by moderators.

## Automation Guidelines
If you use any form of automation on your accounts you must abide by our [Automation Guidelines](https://github.com/programming-dot-dev/p.d-legal/blob/main/AUTOMATION-GUIDELINES.md).

## Reporting
When you see someone not behaving according to our code of conduct, if theres a report button built into the software (which should be most software we host) you can report them for the community team in charge of that software to be able to deal with it. If theres no report button email info@programming.dev with the report information.

## Moderator Guidelines
These are guidelines to follow when being a moderator for a community (community in this sense refers to user run communities such as on programming.dev).

### Respect the CoC
When managing your community you may make rules for members interacting in that community to follow. These should not contradict our CoC (Code of Conduct).

### Handle Reports
Users interacting in your community may make reports on content. This is expected to be handled swiftly (at most a day to action) to ensure that users in your community are following our CoC and your community rules. If a user breaks the CoC it may be handled by an admin as well but this should not be relied on as admins have many tasks around the sites to deal with.

### Be Active
Moderators of a community are expected to be active on our site and communities should not be without moderation for long periods of time. If community moderators are no longer using the site and thus the community is going without moderation the communities may be transferred to new moderators. We will attempt to contact the current moderators of the community before transferring it.

### Respect Your Scope
If a user does something in another community such as make a comment this should not affect their usage of your community. If you notice behaviour that breaks the CoC in other communities this should instead be reported so those community moderators or admins may deal with it.

## Do we Make Updates to this Code of Conduct?
We may update the Code of Conduct from time to time. When we do, we will change the "Last Updated" date and author at the top of the page to indicate the date and author of the most recent changes. If we make changes we may notify you by posting a notice of such changes or by sending you a notification. We encourage you to review the Code of Conduct periodically for any modifications.

## Contact Us
If you have questions or concerns about this Code of Conduct you should contact us at info@programming.dev.
